HMWKZone Struct Reference

Small class used to store the decoded zone of HMWKParser. More...

`#include <HMWKParser.hxx>`

## Public Member Functions

| HMWKZone (MWAWInputStreamPtr input, libmwaw::DebugFile &asciiFile)
| constructor given an input and an asciiFile More...
| HMWKZone (shared_ptr< libmwaw::DebugFile > asciiFile)
| constructor given an asciiFile (used for compressed zone) More...
| ~HMWKZone ()
| destructor More...
long | begin () const
| returns the first position in the input More...
long | end () const
| returns the last position in the input More...
long | length () const
| returns the zone size More...
bool | valid () const
| returns true if the zone data exists More...
long | fileBeginPos () const
| returns the file begin position More...
long | fileEndPos () const
| returns the file begin position More...
void | setFileBeginPos (long begPos)
| sets the begin file pos More...
void | setFileLength (long len)
| sets the file length More...
void | setFilePositions (long begPos, long endPos)
| sets the begin/end file pos More...
WPXBinaryData & | getBinaryData ()
| returns a pointer to the binary data More...
std::string | name () const
| returns the zone name More...
libmwaw::DebugFile & | ascii ()
| returns the debug file More...

## Static Public Member Functions

static std::string | name (int type)
| returns the zone name More...

## Public Attributes

int | m_type
| the type : 1(text), .... More...
long | m_id
| the zone id More...
long | m_subId
| the zone subId More...
MWAWInputStreamPtr | m_input
| the main input More...
std::string | m_extra
| some extra data More...
bool | m_parsed
| true if the zone is sended More...

## Protected Attributes

long | m_filePos
| the begin of the entry More...
long | m_endFilePos
| the end of the entry More...
WPXBinaryData | m_data
| the storage (if needed) More...
libmwaw::DebugFile * | m_asciiFile
| the debug file More...
shared_ptr< libmwaw::DebugFile > | m_asciiFilePtr
| the file pointer More...

## Private Member Functions

| HMWKZone (HMWKZone const &orig)
HMWKZone & | operator= (HMWKZone const &orig)

## Friends

std::ostream & | operator<< (std::ostream &o, HMWKZone const &zone)
| operator << More...

## Detailed Description

Small class used to store the decoded zone of HMWKParser.

## Constructor & Destructor Documentation

HMWKZone::HMWKZone | ( | MWAWInputStreamPtr | input,
|  | libmwaw::DebugFile & | asciiFile
| ) |  |

constructor given an input and an asciiFile

HMWKZone::HMWKZone | ( | shared_ptr< libmwaw::DebugFile > | asciiFile | ) |

constructor given an asciiFile (used for compressed zone)

HMWKZone::~HMWKZone | ( |  | ) |

destructor

HMWKZone::HMWKZone | ( | HMWKZone const & | orig | ) |

private

## Member Function Documentation

libmwaw::DebugFile& HMWKZone::ascii | ( |  | ) |

inline

returns the debug file

Referenced by HMWKText::readFont(), HMWKText::readParagraph(), HMWKParser::readPrintInfo(), HMWKText::readToken(), HMWKParser::readZoneb(), HMWKText::sendText(), and ~HMWKZone().

long HMWKZone::begin | ( |  | ) | const

inline

returns the first position in the input

Referenced by HMWKParser::readPrintInfo(), HMWKParser::readZoneb(), and HMWKText::sendText().

long HMWKZone::end | ( |  | ) | const

inline

returns the last position in the input

Referenced by HMWKParser::readPrintInfo(), and HMWKParser::readZoneb().

long HMWKZone::fileBeginPos | ( |  | ) | const

inline

returns the file begin position

Referenced by HMWKParser::readPrintInfo(), HMWKParser::readZoneb(), and HMWKText::sendText().

long HMWKZone::fileEndPos | ( |  | ) | const

inline

returns the file begin position

WPXBinaryData& HMWKZone::getBinaryData | ( |  | ) |

inline

returns a pointer to the binary data

long HMWKZone::length | ( |  | ) | const

inline

returns the zone size

Referenced by HMWKText::readFont(), HMWKText::readParagraph(), HMWKParser::readPrintInfo(), HMWKText::readToken(), HMWKParser::readZoneb(), HMWKText::sendText(), and valid().

std::string HMWKZone::name | ( |  | ) | const

inline

returns the zone name

Referenced by operator<<(), HMWKParser::readPrintInfo(), HMWKParser::readZoneb(), and HMWKText::sendText().

std::string HMWKZone::name | ( | int | type | ) |

static

returns the zone name

HMWKZone& HMWKZone::operator= | ( | HMWKZone const & | orig | ) |

private

void HMWKZone::setFileBeginPos | ( | long | begPos | ) |

inline

sets the begin file pos

void HMWKZone::setFileLength | ( | long | len | ) |

inline

sets the file length

void HMWKZone::setFilePositions | ( | long | begPos,
|  | long | endPos
| ) |  |

inline

sets the begin/end file pos

bool HMWKZone::valid | ( |  | ) | const

inline

returns true if the zone data exists

Referenced by HMWKText::sendText().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | HMWKZone const & | zone
| ) |  |

friend

operator <<

## Member Data Documentation

libmwaw::DebugFile* HMWKZone::m_asciiFile

protected

the debug file

Referenced by ascii().

shared_ptr<libmwaw::DebugFile> HMWKZone::m_asciiFilePtr

protected

the file pointer

Referenced by begin(), end(), length(), and ~HMWKZone().

WPXBinaryData HMWKZone::m_data

protected

the storage (if needed)

Referenced by end(), getBinaryData(), and length().

long HMWKZone::m_endFilePos

protected

the end of the entry

Referenced by end(), fileEndPos(), length(), setFileBeginPos(), setFileLength(), and setFilePositions().

std::string HMWKZone::m_extra

some extra data

Referenced by operator<<().

long HMWKZone::m_filePos

protected

the begin of the entry

Referenced by begin(), fileBeginPos(), length(), setFileBeginPos(), setFileLength(), and setFilePositions().

long HMWKZone::m_id

the zone id

Referenced by operator<<(), and HMWKText::sendText().

MWAWInputStreamPtr HMWKZone::m_input

the main input

Referenced by HMWKText::readFont(), HMWKText::readParagraph(), HMWKParser::readPrintInfo(), HMWKText::readToken(), HMWKParser::readZoneb(), and HMWKText::sendText().

bool HMWKZone::m_parsed

mutable

true if the zone is sended

Referenced by HMWKText::flushExtra(), HMWKParser::readPrintInfo(), HMWKParser::readZoneb(), and HMWKText::sendText().

long HMWKZone::m_subId

the zone subId

Referenced by operator<<().

int HMWKZone::m_type

the type : 1(text), ....

Referenced by name().

The documentation for this struct was generated from the following files:

- HMWKParser.hxx
- HMWKParser.cxx